## impuzzle 0.3-2maemo1

=== Makefile ===
#############################################################################
# Makefile for building: impuzzle
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 24 18:01:59 2010
# Project:  impuzzle.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile impuzzle.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/timo/impuzzle/trunk/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/timo/impuzzle/trunk/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: impuzzle.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile impuzzle.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile impuzzle.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## impuzzle 0.1-1maemo0

=== debian/changelog ===
impuzzle (0.1-1maemo0) unstable; urgency=low

  * Implemented: Basic gameplay
  * Initial debian packaging

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 2 Jan 2010 10:12:49 +0200

=== debian/control ===
Source: impuzzle
Section: user/games
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev
Standards-Version: 3.7.2

Package: impuzzle
Architecture: any
Depends: libqt4-maemo5-core, libqt4qt-maemo5-gui
Description: Image puzzle game

## impuzzle 0.1-1maemo1

=== debian/changelog ===
impuzzle (0.1-1maemo1) unstable; urgency=low

  * Fixes: Typo in package dependencies

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 2 Jan 2010 13:30:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := impuzzle
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## impuzzle 0.2-1maemo0

=== debian/changelog ===
impuzzle (0.2-1maemo0) unstable; urgency=low

  * Implements: User specified image used in puzzle
  * Implements: Random image used in puzzle
  * Implements: Difficulty settings
  * Fixes: All pieces movable after shuffle

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sun, 3 Jan 2010 10:32:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 Package: impuzzle
 Architecture: any
-Depends: libqt4-maemo5-core, libqt4qt-maemo5-gui
+Depends: libqt4-maemo5-core, libqt4-maemo5-gui
 Description: Image puzzle game

## impuzzle 0.3-1maemo0

=== debian/changelog ===
impuzzle (0.3-1maemo0) unstable; urgency=low

  * Implemented: Show location numbers on the pieces
  * Fixes: Random image not random after first game

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 23 Jan 2010 22:59:42 +0200

## impuzzle 0.3-2maemo0

=== debian/changelog ===
impuzzle (0.3-2maemo0) unstable; urgency=low

  * Fixes: Adjusted pieces couts, pieces are now in square formation
  * Fixes: Changed colors in the intro screen

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 30 Jan 2010 20:08:42 +0200

## impuzzle 0.3-2maemo1

=== debian/changelog ===
impuzzle (0.3-2maemo1) unstable; urgency=low

  * Added bug tracking link to control
  * Dependency changes required by pr1.2 autobuilder

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 17:51:13 +0200

=== debian/control ===
Source: impuzzle
Section: user/games
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0)
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:timop.harkonen@gmail.com

Package: impuzzle
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0)
Description: Image puzzle game
 impuzzle is a picture puzzle game that let's you
 use your own pictures as the game board.

## impuzzle 0.4-1maemo0

=== debian/changelog ===
impuzzle (0.4-1maemo0) unstable; urgency=low

  * Implemented: Game state save and restore
  * Implemented: Maemo5 style notifications

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 17:51:13 +0200

## impuzzle 0.4-2maemo0

=== debian/changelog ===
impuzzle (0.4-2maemo0) unstable; urgency=low

  * Fixes: Saving not enabled after game is restored
  * Fixes: Improved shuffle to make game solvable

 -- Timo Härkönen <timop.harkonen@gmail.com>  Fri, 23 Apr 2010 21:46:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: impuzzle
 Architecture: any
-Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0)
+Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0), libqt4-maemo5 (>= 4.6.0)
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.

## impuzzle 0.5-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: impuzzle
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 24 18:01:59 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Apr 24 20:46:32 2010
 # Project:  impuzzle.pro
 # Template: subdirs
 # Command: /usr/bin/qmake -unix -o Makefile impuzzle.pro

=== src/Makefile ===
#############################################################################
# Makefile for building: ../bin/impuzzle
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Apr 24 20:46:33 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gameview.cpp \
		main.cpp \
		mainwindow.cpp \
		imageimporter.cpp \
		puzzleitem.cpp \
		introitem.cpp \
		settings.cpp \
		settingsdialog.cpp \
		aboutdialog.cpp moc_gameview.cpp \
		moc_mainwindow.cpp \
		moc_imageimporter.cpp \
		moc_puzzleitem.cpp \
		moc_settings.cpp \
		moc_settingsdialog.cpp \
		moc_aboutdialog.cpp \
		qrc_resources.cpp
OBJECTS       = gameview.o \
		main.o \
		mainwindow.o \
		imageimporter.o \
		puzzleitem.o \
		introitem.o \
		settings.o \
		settingsdialog.o \
		aboutdialog.o \
		moc_gameview.o \
		moc_mainwindow.o \
		moc_imageimporter.o \
		moc_puzzleitem.o \
		moc_settings.o \
		moc_settingsdialog.o \
		moc_aboutdialog.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = impuzzle
DESTDIR       = ../bin/
TARGET        = ../bin/impuzzle

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/impuzzle1.0.0 || $(MKDIR) .tmp/impuzzle1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents gameview.h mainwindow.h imageimporter.h puzzleitem.h defines.h introitem.h settings.h settingsdialog.h aboutdialog.h .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/impuzzle1.0.0/ && $(COPY_FILE) --parents gameview.cpp main.cpp mainwindow.cpp imageimporter.cpp puzzleitem.cpp introitem.cpp settings.cpp settingsdialog.cpp aboutdialog.cpp .tmp/impuzzle1.0.0/ && (cd `dirname .tmp/impuzzle1.0.0` && $(TAR) impuzzle1.0.0.tar impuzzle1.0.0 && $(COMPRESS) impuzzle1.0.0.tar) && $(MOVE) `dirname .tmp/impuzzle1.0.0`/impuzzle1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/impuzzle1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gameview.cpp moc_mainwindow.cpp moc_imageimporter.cpp moc_puzzleitem.cpp moc_settings.cpp moc_settingsdialog.cpp moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gameview.cpp moc_mainwindow.cpp moc_imageimporter.cpp moc_puzzleitem.cpp moc_settings.cpp moc_settingsdialog.cpp moc_aboutdialog.cpp
moc_gameview.cpp: gameview.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gameview.h -o moc_gameview.cpp

moc_mainwindow.cpp: mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_imageimporter.cpp: defines.h \
		imageimporter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) imageimporter.h -o moc_imageimporter.cpp

moc_puzzleitem.cpp: puzzleitem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) puzzleitem.h -o moc_puzzleitem.cpp

moc_settings.cpp: settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o moc_settings.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_aboutdialog.cpp: aboutdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) aboutdialog.h -o moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		images/default.jpg
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

gameview.o: gameview.cpp gameview.h \
		puzzleitem.h \
		defines.h \
		introitem.h \
		imageimporter.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gameview.o gameview.cpp

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		gameview.h \
		settings.h \
		settingsdialog.h \
		aboutdialog.h \
		puzzleitem.h \
		imageimporter.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

imageimporter.o: imageimporter.cpp imageimporter.h \
		defines.h \
		puzzleitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o imageimporter.o imageimporter.cpp

puzzleitem.o: puzzleitem.cpp puzzleitem.h \
		gameview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o puzzleitem.o puzzleitem.cpp

introitem.o: introitem.cpp introitem.h \
		defines.h \
		mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o introitem.o introitem.cpp

settings.o: settings.cpp settings.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o settings.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		settings.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aboutdialog.o aboutdialog.cpp

moc_gameview.o: moc_gameview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gameview.o moc_gameview.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_imageimporter.o: moc_imageimporter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_imageimporter.o moc_imageimporter.cpp

moc_puzzleitem.o: moc_puzzleitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_puzzleitem.o moc_puzzleitem.cpp

moc_settings.o: moc_settings.cpp

=== debian/changelog ===
impuzzle (0.5-1maemo0) unstable; urgency=low

  * Implemented: New initial view
  * Implemented: About dialog

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 24 Apr 2010 20:44:00 +0200

## impuzzle 0.5-2maemo0

=== debian/changelog ===
impuzzle (0.5-2maemo0) unstable; urgency=low

  * Fixes: About dialog text not set read only

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 24 Apr 2010 21:03:00 +0200

## impuzzle 0.5-3maemo0

=== debian/changelog ===
impuzzle (0.5-3maemo0) unstable; urgency=low

  * Added application icon

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 29 Apr 2010 19:19:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp

## impuzzle 0.6-1maemo0

=== debian/changelog ===
impuzzle (0.6-1maemo0) unstable; urgency=low

  * Fixes: Move counter not resetted when starting new game
  * Fixes: Improved shuffle algorithm to make puzzle always solvable, for real this time :)
  * Use random image by default

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sun, 09 May 2010 15:18:00 +0200

## impuzzle 0.6-1maemo1

=== debian/changelog ===
impuzzle (0.6-1maemo1) unstable; urgency=low

  * Just building against the new SDK in autobuilder

 -- Timo Härkönen <timop.harkonen@gmail.com>  Tue, 25 May 2010 17:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,3 +12,86 @@
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEALAAMQAxnfM89gAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9oDCRECEHe8GxIAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
+ TVBXgQ4XAAANkklEQVRo3tWaS45k2XFEj/m9LzKzuil+N9AAIagHErQtaSJA
+ I+1BM2pfmhIkCAiaEwRF1icz3r1uGri/yGpyBSygUJGV8fGvuZl7CDBf/Qnw
+ RJqBB9KQPCRCgvqZkBiCkPjfL1/45cuLQ6EQDlAgCxQYSdf7AiCMARsE/Pen
+ T/zjhw+kjTHqX04gXM/dNttmAWcmb8A9kzsw/8p4wQGeBEfgiYgQgZBkS7qM
+ n23WbQQyTAkhQmVctPGykEA2IARsQXbsjhBYYCPBsBkYLNJmC5ZhGFCQmFPC
+ 7WhHBg6Jm8QhMSUfEuP6ixSCVJhA0/Lo8B4EETDa+Oj3k1SP9f4hth6ZqGfB
+ k6J+lsp4QVgkZgMbdeZMRGVvKBjkuwOH8CH51oa3E8xyQFNyRGAqyxHlGMDT
+ qKgGlR0hxaNsKvrYZYboEtKjep9DyGLalT0Ly6TFspHNQkACV6CSQOVAAJPg
+ uRzgkHwbwaG4nKjarj5gtU2XA1NSvWlFvP51l13ZaZWTvjpO7mKCbzoDo41P
+ gW12O7iB0e8Xhuot8OXAiOCGfEj5HO1IBFOhLiOF5JCU4GVbEpYM6Igow9uJ
+ AUwEqtRLVTBVNa7y8ntpfejeofNrxLbBrgxkXhkmIiENBOHNnBIHMIVfIvIl
+ xHMMbhG6SZ4RDHXagJR0NjpkW3AjHIG+diKAcZUQFS2Fie4BbI5OxjcjyiaM
+ DavTdHaXzAhWmiChQWUkvITKgW7YfJH8EoOnCJ4jmBHcJAVyhB4GnU6nRHYM
+ n0cQkmUrHo0rolHFrrIaFThGI9YFrU8aXfNmYSyxnMyspCUQFT2iQUNhVgbz
+ Ju2b5JeIPEb4KcRzhG4R1Q9jMAQTxQWNy6o37RL6RoHLQcvWUGGGFARihOGB
+ HOVUGeIGgSicb7yPTKaCiPpZWc07CwYRiWwCeU60ppRHQSVHDI4RPCl4GoPZ
+ 9TxGuEtEi+qBaBz88RymcFl05FMQhqfuCduPRj66vK4MjMZGZ3JgIgL3wIoe
+ nAdAo9NhPCV2mHmI15ukQ5oNobohZoQmcCh8G6Er7ZK8hWYhjAG+HaM8KSe8
+ QKMNPSLIrJE1u55nl9vbA8LFwIwIIuHEZARnVqSHCm0eAQjhhJNgPkV8eZKe
+ jlCMMWJGeJRDNQtCTOQZYtbEjUPy1AWr8GEMpKqnDTzb79TB9hyDqH6ihzS5
+ t4+eai8R7ITV0d+NOkPBoSS2HwPV4OVgKRmYOeH1OeL2hPIGmqArSjOCWxSU
+ TqmiHvIcofA70XkaNfizoqkBmZnCdo6hW4Rnz5GR6W3DCHYWt7hJzggpkwXc
+ LgoiMwlWmEh7XpSihiWLYD5L64C8RXB7kDkYXQazB9ZRmWmclyJEhFwfVFCL
+ IdQ8LcKHREQwJGRb3SN/OQcOiQUeEToyyaY0sokqIYdgOQglJwUKFxn5ARv9
+ W/sz//n5+TfPET9+hpeXOeNHEfFhjPxwHH6SdNQ8GCNCQ0LVKpLEiNB//OY3
+ 8z//4fuNU9vVyBFRMyMKkQIIJ6qoKXrKKpN//d3v9KvvvrMBr8Ub6HVv7gWp
+ Xjb3TLbNWyZ3u/5mUY2ZsBMyInyL0Ic580Xyc5WPh6Soz6UJqYv2xsUxybVw
+ /abKA0gncRpmjT9rEEoFoG1CqtcUkSx/JKeLKh/gi9X6nXOxEAdJDJES0wXt
+ zDF4icgnyU8RDokYQ5KkGCgKQqnPxk4V/YLEzY6LvPmCGoEzYbQTRHGaoOu7
+ ywCR+BGWW5FH3i4IbcNnwAuwNdg1odd0hI6I9U1E/GiMfRuDAEdE6ZL+cGJw
+ EeGqCjsbBjfvAsYPyhmg7OjrkZmwH88N9NAiAAoxzDUkmUUYGcATkBpkW7Ht
+ 9Zq5Z0o/v0V8+vY49jGGW0JKEkS46X0LEMK2LBnF8MWN27qkpKZr4BWJ6axE
+ Y+6Dbvsr7Hgonp7MqvK4QhZjXEMUA58zvfb2tnM+R7z83ZxP38x5nxF50QNF
+ oAgpAiJKD+2KaMF30vQIX9RZxVDHg0YHUY1f7NQ1Oi4a8XChBY0yra8M1yW/
+ GorPvVn1ir1tp3TOX8z59vPnZx9jZNhWhPSeVduOKCqgd06P3EqJptXj0r0I
+ NftUM9i49MLeLdZ5UI8qsQrblSEiILM40BiwFpbICL5kcs9k2Rs45z/95Cfn
+ /YI6kGzILG1HlVJFHKdr+ujiZYr3jYO+0gIKprO3F+oFwDtCoYrGbhSKCNIm
+ xoBMEhhzcnS55Ri8Al/OkzvsKeWM2Nv+vzki1kFRb+0tMovMq9zJJlTYIqIe
+ h+px7nbAjK7/ACI3GvHgL6ULrtlbJeFMR6fgYqNpMwpEap4AC/jTWpw2c849
+ 9s472DWX/jDnGEVc9g53vV3KtfkMAoWRMqUIwkTsJDqCo/lJGZ8tVvSoQ2xc
+ gt1VXrCb7QK4S0yt9K7XfbrfWcAxBjszz7VodCQgXiJepovautBOXRRSZtYW
+ CISt7g3GlR9fkrFKp/kOI0Y3pa+JVgZ2KWktiCB07RhamrqeN4C9d8HlGLzt
+ jWsSR1ZUuY3By5wT+6dTmVsQRFi52WnRxgMoLZVxCgWCiEe5dA13ZfQyqIzp
+ iYvigf2Ppm10yOzPaHRp5EMSr+fJkjgzGRK7XzoiUhFnwOuCNet9axW4Ec5d
+ fDJNjREUPRcUjeUhtDa6hlwmGqOKZq/KQLNUPcBS+IpsJpRMLD8vYhbBfW92
+ JsvwlovVy62sqekxh0r/8a3smIpg5Oae1s4kM1GmCtmLZuhyAEIRvJd2/nCS
+ dh1fkVdpSYYG2UZf5cLXc6BoC94b9ua+N9hs43hnzkVJTNr2iFgaY8+QuCvI
+ PLUz1ZEJ7Q1j1OSpudxbKtRrhsfitoZ2bxmK0dT/SSiCTEMmG8rIfl5+veXa
+ yVlGF1UoIgURxk3AInavWQbSa9gfJ8C5Vt73xntLuaVK12P62665+8NF8LsD
+ F1kzDFrAdC1fzPRqwMz8Kwphl2bOnWzcfMfvlOTKmFGEEim77I+/fUHzb999
+ 9z+f7/cj17rN3HPsHGOMOCLGjIjZCqaGUiha6CsGM6R//+1v41fff59j7wfp
+ ikaTneaeuzZ6NQse9G90dv7l17+O//r++1SJFa+9tcEnsJuN5tpYZNq1S5PW
+ hLe0X+en+/3Pr+f5s1H1L5UWlhsKa6KVaig21Eut0gMXtepJ2/tbW6t2Q64t
+ W5WDAWUScxreV4i7hL7Ovdng1eKeCC+bldtWKHOTdmqMeIr48u2cf5pf9v6y
+ 9s5dottDYpcTYVspReK6RuhRmYXj3ZAuZohsr5oVXntz2o+azxYnV1/cba7X
+ 32122id4d3NnO3Zm6swkvXcdO+Q81/Ix51Mm88vef0j7F7fMp7PRJmzt4jCK
+ TDJCP2i4hySsDLzZ3NrHXGetCHuZ5R50asog8Hme+Ksmft3b+8pEprJXNMtm
+ 7e07cN/buxdnAa9aa/7pPH86z71+nzu/M/TMRdOOkSlHxK5oE2QR2KbIAuYu
+ dv6ayZutDb7vXeKwid91R4gIv631yIAvdluv93UHS1enXDext0yfJe61MteZ
+ JvDxR+n3n9b6MN/Sn2zfU7IyNcaIs6n1xTSjNjrIibO2Y0cthQzw570h7eV8
+ RPWx04nwvYYjLnZZO/SvVNjHdjozsfRw5uqF+95eoGViOfenzJc/rvX057W+
+ mfe9n207S8jHzNRZxC1WGgUEiTdYshRKuy4qTXE+nqsOdq244p2eEK5T0L7K
+ otflifsmAB/39uN0k6nT9ra5O3GWSL5n5jbxlsmn3OfHvX562t/OV/tJdnjn
+ bY7QCYo0O0CktRGSJSklxLYU8sIPB/YiwaPg0ZdoH71QNiJdhi/VEiB76gJ8
+ XGs4M0Ny9u9Wo+DKTRY70ZvTpxlpk8nTMppve4clhYiV1hmwSSmvE1FvCerE
+ VBPVGwmN2kHweZeCm+A6kQqiz3h9zFtchsMugqYrA58zN3ao6t+JZRcinc66
+ Rzh1t1lO3dMTnOnUvNsfseNNGgq0UkTxH18bBD2O25K/WvU3ieaVJFLOXoJN
+ jLce965sw7M0QOyG3tUO3NNKenfqwgqAM822tby9TGyje9p3Oxb1u/ll79PS
+ DAWbvNaHnvLFQL/aJsgSOotc+cLWeyGDUiKETguVSiqJ3VfH5dqMZd9vrsF8
+ OrW+utSH7YW10ixb5QQsp05bp63lJG3Pzzs/OzRTjBviiNDw1kNBXYduW/FQ
+ xxaurx1cBoTlFdZ0TWTZWKWHrpPwVvVqCcwiiBRU1mrxAoJaXEWfnbzb4GUo
+ B5LTaNvMz86hzfNWjmSQdvxF2VwN6QE6a7vkulyWAa9pJig27EqMrmXqpYdT
+ 2KnrElkl06VyRbn6yyE7E9hOrUSb7DkAZx0COyNmvtm/DPjZLtqQpx5f8FA7
+ 4NGXdwVsVy9clLe5TE3u0l9B04aemjXBE6XS7jsXRhe1uzuV5YCK9NX1qq42
+ Sdo68zoCotNQWbDmgr8XjAWxM+8rFJPw7ONG1NXRklC26Ir6GsB1J/5iR20b
+ ElyCffU2430vcVVHS6yiHu5mjQf/qX9D6cxu1G3Ytk+KJHb0ddrMDb+8WEna
+ L5l4KXU0nR1ffc2g5aRWiqlHBXDvLVotrvbjmN3LgN7k1ddV7EvUI/d7nM5C
+ KVeD73rcC2Su86vOa0L3YwP/D6Y5yWnCbVZ7AAAAAElFTkSuQmCC
+ ====

## impuzzle 0.6.1-1maemo0

=== debian/changelog ===
impuzzle (0.6.1-1maemo0) unstable; urgency=low

  * Fixes: Preventing user interaction with image pieces during game setup that would lead to segfault.
  * Taking garage bug tracker into use instead of email address

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 26 May 2010 21:46:00 +0200

## impuzzle 0.6.2-1maemo0

=== debian/changelog ===
impuzzle (0.6.2-1maemo0) unstable; urgency=low

  * Fixes: Application crash if Mydocs/.images empty
  * Changing default image

 -- Timo Härkönen <timop.harkonen@gmail.com>  Sat, 29 May 2010 21:16:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0)
 Standards-Version: 3.7.2
-XSBC-Bugtracker: mailto:timop.harkonen@gmail.com
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1167
 
 Package: impuzzle
 Architecture: any
@@ -12,6 +12,8 @@
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.
+ Limitations in current version:
+ For random images only images in /home/user/MyDocs/.images is used
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEALAAMQAxnfM89gAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## impuzzle 0.7.0-1maemo0

=== debian/changelog ===
impuzzle (0.7.0-1maemo0) unstable; urgency=low

  * Show save game query when quitting if game is incomplete
  * Changed new game dialog logic.
  * Added game statistics

 -- Timo Härkönen <timop.harkonen@gmail.com>  T, 26 Sep 2010 15:10:00 +0200

## impuzzle 0.7.1-1maemo0

=== debian/changelog ===
impuzzle (0.7.1-1maemo0) unstable; urgency=low

  * Get available images from tracker

 -- Timo Härkönen <timop.harkonen@gmail.com>  Tue, 28 Sep 2010 19:20:00 +0200

## impuzzle 0.8.1-1maemo0

=== debian/changelog ===
impuzzle (0.8.1-1maemo0) unstable; urgency=low

  * Scaling game view to screen

 -- Timo Härkönen <timop.harkonen@gmail.com> Thu, 12 May 2011 23:04:00 +0300

impuzzle (0.7.2-1maemo0) unstable; urgency=low

  * Added quit without saving option

 -- Timo Härkönen <timop.harkonen@gmail.com> Mon, 29 Nov 2010 20:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
 Description: Image puzzle game
  impuzzle is a picture puzzle game that let's you
  use your own pictures as the game board.
- Limitations in current version:
- For random images only images in /home/user/MyDocs/.images is used
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEALAAMQAxnfM89gAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
